org.apache.ignite.igfs.secondary

## Interface IgfsSecondaryFileSystemPositionedReadable

All Superinterfaces:
  AutoCloseable, Closeable

All Known Implementing Classes:
  IgfsInputStreamAdapter, IgfsInputStreamImpl

    public interface IgfsSecondaryFileSystemPositionedReadable
    extends Closeable

The simplest data input interface to read from secondary file system.

### Method Summary

Methods
`int` `read(long pos, byte[] buf, int off, int len)` Read up to the specified number of bytes, from a given position within a file, and return the number of bytes read.

### Methods inherited from interface java.io.Closeable

`close`

### Method Detail

#### read

    int read(long pos,
           byte[] buf,
           int off,
           int len)
             throws IOException

Read up to the specified number of bytes, from a given position within a file, and return the number of bytes read.

Parameters:
  `pos` - Position in the input stream to seek.
  `buf` - Buffer into which data is read.
  `off` - Offset in the buffer from which stream data should be written.
  `len` - The number of bytes to read.
Returns:
  Total number of bytes read into the buffer, or -1 if there is no more data (EOF).
Throws:
  `IOException` - In case of any exception.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015